Package lxml :: Module etree :: Class ElementClassLookup |
[frames] | no frames]

# Class ElementClassLookup

    object --+
             |
            ElementClassLookup

Known Subclasses:
  - FallbackElementClassLookup
  - , ElementDefaultClassLookup
  - , objectify.ObjectifyElementClassLookup

ElementClassLookup(self)

Superclass of Element class lookups.

Instance Methods
a new object with type S, a subtype of T |
__new__(T, S, ...) |
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__